using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace trieTree.xiaoshi.sz.com
{
    [DataContract]
    public class treeNode
    {
        public treeNode() {
            children = new Hashtable();
        }

        public treeNode(char v) {
            value = v;
            children = new Hashtable();
        }

        [DataMember]
        public char value { get; set; }

        [DataMember]
        public Hashtable children { get; set; }

        [DataMember]
        public bool isEnd { get; set; }

        [DataMember]
        public List<String> EndValues { get; set; }
    }
}
